PHP ITAUCRIPTO Itau Bankline
==============

Verso em PHP com a classe ItauCripto, originalmente escrita em Java baseado em gabrielrcouto/php-itaucripto.

Implementamos na mesma biblioteca as chamadas Webservice para gerao de transao no Itau Bankline e tambm consultas.

Nossa biblioteca foi desenvolvida inicialmente para utilizar apenas o Boleto bancrio, mas nada impede de usar as outras formas de pagamento.

Caso queira contribuir com as outras formas de pagamento, ser muito bem vindo tambm.

Como a classe ItauCripto em Java foi descompilada, alguns nomes se tornaram nomes genricos (ex: $paramString1, $paramString2).

Instalao
==============
```php
composer require dilneiss/itaubankline
```

Como usar o Webservice utilizando a prpria Biblioteca
==============
Para gerar uma url para o cliente efetuar o pagamento, utilize o seguinte cdigo
```php
	try {
			
		  //Coloque o cdigo da empresa em MAISCULO
		  $codEmp = "J1234567890123456789012345";
		  //Coloque a chave de criptografia em MAISCULO
		  $chave = "ABCD123456ABCD12";
		  
		  //Preencha as variveis abaixo com os dados do cliente e da cobrana
		  //Abaixo  s um exemplo!
		  $pedido = "1234";
		  $valor = "150,00";
		  $observacao = 1;
		  $nomeSacado = "Dilnei Soethe Spancerski";
		  $codigoInscricao = "";
		  $numeroInscricao = "";
		  $enderecoSacado = "";
		  $bairroSacado = "";
		  $cepSacado = "";
		  $cidadeSacado = "";
		  $estadoSacado = "";
		  $dataVencimento = "";
		  $urlRetorna = "";
		  $obsAd1 = "Observaes linha 1";
		  $obsAd2 = "Observaes linha 2";
		  $obsAd3 = "Observaes linha 3";
		  
		  $itauCripto = new ItauCripto();
		  
		  $dados_criptografados = $itauCripto->geraDados($codEmp,$pedido,$valor,$observacao,$chave,$nomeSacado,$codigoInscricao,
		  													$numeroInscricao,$enderecoSacado,$bairroSacado,$cepSacado,$cidadeSacado,$estadoSacado,
													      $dataVencimento,$urlRetorna,$obsAd1,$obsAd2,$obsAd3);
													      
		  $itauService = new ItauBanklineService();
		  
		  $urlBoleto = $itauService->generateUrlBoletoItauBankline($dados_criptografados); //Utilize essa url para ir direto ao boleto bancrio
		  
		  $urlItauBankline = $itauService->generateUrlBoletoItauBankline($dados_criptografados); //Utilize essa url para ir a tela do Itau Bankline e o cliente escolher a forma de pagamento
		  
		  //Aqui faa seu redirecionamento para a url gerada conforme desejado
			
		} catch (Exception $e) {
			exit($e->getMessage());
		}
```

Para efetuar uma consulta no Itau Bankline e retornar o status da transao, utilize o seguinte cdigo
```php
	$metodoResultado = 1; //0 Para exibir a consulta em html legvel e 1 para exibir a consulta em xml
	
	$itauCripto = new ItauCripto();
	$dadosCriptografados = $itauCripto->geraConsulta($codEmp , $pedido , $metodoResultado , $chave);
		
	try {
	
		$itauService = new ItauBanklineService();
		
		$transacao = $itauService->consultaTransacao($dadosCriptografados);
		
		var_dump($transacao);
		
	} catch (Exception $e) {
		exit($e->getMessage());
	}
```

Campos
==============

```php
  $pedido // Identificao do pedido - mximo de 8 dgitos (12345678) - Obrigatrio  
  $valor // Valor do pedido - mximo de 8 dgitos + vrgula + 2 dgitos - 99999999,99 - Obrigatrio  
  $observacao // Observaes - mximo de 40 caracteres  
  $nomeSacado // Nome do sacado - mximo de 30 caracteres  
  $codigoInscricao // Cdigo de Inscrio: 01->CPF, 02->CNPJ  
  $numeroInscricao // Nmero de Inscrio: CPF ou CNPJ - at 14 caracteres  
  $enderecoSacado // Endereco do Sacado - mximo de 40 caracteres  
  $bairroSacado // Bairro do Sacado - mximo de 15 caracteres  
  $cepSacado // Cep do Sacado - mximo de 8 dgitos  
  $cidadeSacado // Cidade do sacado - mximo 15 caracteres  
  $estadoSacado // Estado do Sacado - 2 caracteres  
  $dataVencimento // Vencimento do ttulo - 8 dgitos - ddmmaaaa  
  $urlRetorna // URL do retorno - mximo de 60 caracteres  
  $obsAdicional1 // ObsAdicional1 - mximo de 60 caracteres  
  $obsAdicional2 // ObsAdicional2 - mximo de 60 caracteres  
  $obsAdicional3 // ObsAdicional3 - mximo de 60 caracteres
```

Author
==============

[@dilneiss88](http://twitter.com/dilneiss88)

Licena
==============

[MIT License](http://zenorocha.mit-license.org/)